unit MDIWChld;

interface

uses
  Windows, Messages, SysUtils, Classes, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Spin;

type
  TMDIChild = class(TForm)
    ScrollBar1: TScrollBar;
    ShiftMode: TRadioGroup;
    Label1: TLabel;
    ZigZag: TCheckBox;
    Mode: TComboBox;
    Label2: TLabel;
    Transparent: TCheckBox;
    Enabled: TCheckBox;
    GrayMapped: TCheckBox;
    TileWidth: TSpinEdit;
    TileHeight: TSpinEdit;
    Label3: TLabel;
    Label4: TLabel;
    AutoSizeTile: TCheckBox;
    ColorDialog: TColorDialog;
    TranspColor: TButton;
    procedure ScrollBar1Change(Sender: TObject);
    procedure ShiftModeClick(Sender: TObject);
    procedure ZigZagClick(Sender: TObject);
    procedure ModeChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure TransparentClick(Sender: TObject);
    procedure EnabledClick(Sender: TObject);
    procedure GrayMappedClick(Sender: TObject);
    procedure TileWidthChange(Sender: TObject);
    procedure TileHeightChange(Sender: TObject);
    procedure AutoSizeTileClick(Sender: TObject);
    procedure TranspColorClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MDIChild: TMDIChild;

implementation

uses MDIWMain, MDIWallp;
{$R *.DFM}

procedure TMDIChild.ScrollBar1Change(Sender: TObject);
begin
  MDIMainForm.Wallpaper.Shift := ScrollBar1.Position;
  ZigZag.Checked := MDIMainForm.Wallpaper.ZigZag;
end;

procedure TMDIChild.ShiftModeClick(Sender: TObject);
begin
  MDIMainForm.Wallpaper.ShiftMode := TShiftMode(ShiftMode.ItemIndex);
end;

procedure TMDIChild.ZigZagClick(Sender: TObject);
begin
  MDIMainForm.Wallpaper.ZigZag := ZigZag.Checked;
end;

procedure TMDIChild.ModeChange(Sender: TObject);
begin
  MDIMainForm.Wallpaper.Mode := TWallpaperMode(Mode.ItemIndex);
end;

procedure TMDIChild.FormCreate(Sender: TObject);
var
  Wp: TMDIWallpaper;
begin
  Mode.ItemIndex := 0;
{$IFNDEF VER90}
  GrayMapped.Enabled := True;
{$ENDIF}
  Wp := MDIMainForm.Wallpaper;
  with TileWidth do
  begin
    MinValue := Wp.Picture.Width;
    Value := Wp.TileWidth;
  end;
  with TileHeight do
  begin
    MinValue := Wp.Picture.Height;
    Value := Wp.TileHeight;
  end;
  AutoSizeTile.Checked := Wp.AutoSizeTile;
end;

procedure TMDIChild.TransparentClick(Sender: TObject);
begin
  MDIMainForm.Wallpaper.Transparent := Transparent.Checked;
end;

procedure TMDIChild.EnabledClick(Sender: TObject);
begin
  MDIMainForm.Wallpaper.Enabled := Enabled.Checked;
end;

procedure TMDIChild.GrayMappedClick(Sender: TObject);
begin
{$IFNDEF VER90}
  MDIMainForm.Wallpaper.GrayMapped := GrayMapped.Checked;
{$ENDIF}  
end;

procedure TMDIChild.TileWidthChange(Sender: TObject);
begin
  MDIMainForm.Wallpaper.TileWidth := TileWidth.Value;
end;

procedure TMDIChild.TileHeightChange(Sender: TObject);
begin
  MDIMainForm.Wallpaper.TileHeight := TileHeight.Value;
end;

procedure TMDIChild.AutoSizeTileClick(Sender: TObject);
begin
  MDIMainForm.Wallpaper.AutoSizeTile := AutoSizeTile.Checked;
  MDIMainForm.Wallpaper.TileWidth := TileWidth.Value;
  MDIMainForm.Wallpaper.TileHeight := TileHeight.Value;
end;

procedure TMDIChild.TranspColorClick(Sender: TObject);
begin
  with ColorDialog do
  begin
    Color := MDIMainForm.Wallpaper.TransparentColor;
    if Execute then
      MDIMainForm.Wallpaper.TransparentColor := Color;
  end;
end;

end.
